Package: groovy.swing.factory

## [Groovy] Class ButtonGroupFactory

- groovy.swing.factory.ButtonGroupFactory

-     class ButtonGroupFactory
      extends BeanFactory

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `DEFAULT_DELEGATE_PROPERTY_BUTTON_GROUP` |
    `static String` | `DELEGATE_PROPERTY_BUTTON_GROUP` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BeanFactory` | `leaf`

  - Inherited properties
    Properties inherited from class | Properties
    --- | ---
    `class BeanFactory` | `beanClass`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ButtonGroupFactory()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static Object` | `buttonGroupAttributeDelegate(Object builder, Object node, Object attributes)`
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BeanFactory` | `isLeaf, newInstance`
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Field Detail

    - #### public static final String DEFAULT_DELEGATE_PROPERTY_BUTTON_GROUP

    - #### public static final String DELEGATE_PROPERTY_BUTTON_GROUP

  - ### Constructor Detail

    - #### ButtonGroupFactory()

  - ### Method Detail

    - #### static Object buttonGroupAttributeDelegate(Object builder, Object node, Object attributes)

    - #### Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)